# Class SignOutDirective

- Defined in lib/sign-out.directive.ts:13

#####
Index

### Constructors

constructor

### Properties

auth
failure
successful

### Methods

onClick

## Constructors

### constructor

- new SignOutDirective(auth): SignOutDirective

- #### Parameters

  - auth: RxapAuthenticationService

  #### Returns SignOutDirective

  - Defined in lib/sign-out.directive.ts:21

## Properties

### `Private` `Readonly` auth

auth: RxapAuthenticationService

- Defined in lib/sign-out.directive.ts:21

### failure

failure: EventEmitter<Error> = ...

- Defined in lib/sign-out.directive.ts:19

### successful

successful: EventEmitter<void> = ...

- Defined in lib/sign-out.directive.ts:16

## Methods

### onClick

- onClick(): Promise<void>

- #### Returns Promise<void>

  - Defined in lib/sign-out.directive.ts:25